FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202010301137.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202010301137.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=81940d50d13cb7dd3cffc3fd0494cea01993b98b KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=17+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.17.3+81940d5 OS_GIT_COMMIT=81940d5 OS_GIT_VERSION=4.4.0-202010301137.p0-81940d5 SOURCE_DATE_EPOCH=1596723158 SOURCE_GIT_COMMIT=81940d50d13cb7dd3cffc3fd0494cea01993b98b SOURCE_GIT_TAG=81940d50 SOURCE_GIT_URL=https://github.com/openshift/cluster-policy-controller 
WORKDIR /go/src/github.com/openshift/cluster-policy-controller
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.4.0.20201030.120944
ENV __doozer=update BUILD_RELEASE=202010301137.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202010301137.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=81940d50d13cb7dd3cffc3fd0494cea01993b98b KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=17+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.17.3+81940d5 OS_GIT_COMMIT=81940d5 OS_GIT_VERSION=4.4.0-202010301137.p0-81940d5 SOURCE_DATE_EPOCH=1596723158 SOURCE_GIT_COMMIT=81940d50d13cb7dd3cffc3fd0494cea01993b98b SOURCE_GIT_TAG=81940d50 SOURCE_GIT_URL=https://github.com/openshift/cluster-policy-controller 
COPY --from=builder /go/src/github.com/openshift/cluster-policy-controller/cluster-policy-controller /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift Cluster Policy Controller Command" \
        io.k8s.description="OpenShift is a platform for developing, building, and deploying containerized applications." \
        io.openshift.tags="openshift,cluster-policy-controller" \
        name="openshift/ose-cluster-policy-controller" \
        com.redhat.component="ose-cluster-policy-controller-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        release="202010301137.p0" \
        io.openshift.build.commit.id="81940d50d13cb7dd3cffc3fd0494cea01993b98b" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-policy-controller" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-policy-controller/commit/81940d50d13cb7dd3cffc3fd0494cea01993b98b" \
        version="v4.4.0"

